(***************************************************************************************************************************)
(*                                                                                                                         *)
(*		Zip Studio 1.3 COPYRIGHT 1993, 1994 Denis CHEVRON                                                                    *)
(*    Source File: ZIP.PAS                                                                                                 *)
(*    Description: Pascal Source file to encapsulate the ZDLL13A.DLL file to provide the functionality to                  *)
(*                 Borland Pascal developers.  This version was written for BP v7.0 but contains nothing that              *)
(*                 would prohibit its adaption to earlier versions of Borland's Pascal for Windows compilesr.              *)
(*    Date:        Fri Aug 26 21:40:31 1994                                                                                *)
(*    Author:      Brad Stowers, CIS: 72733,3374                                                                           *)
(*                               Internet: brad.stowers@ix.netcom.com                                                      *)
(*                                                                                                                         *)
(***************************************************************************************************************************)
(*                                                                                                                         *)
(*		To Zip, Put ZDLL13A.DLL and ZDLL13B.DLL in your applications directory and add this unit to your USES clause.        *)
(*    By using this unit, you are NOT required to use LoadLibrary and FreeLibrary.  Simply call these parameters as you    *)
(*    would any other unit.                                                                                                *)
(***************************************************************************************************************************)

unit Zip;

interface

uses WinTypes;

(***************************************************************************************************************************)
(* The ZIP.INC file contains constants that will be useful when calling these functions.  By including it here, you don't  *)
(* have to include it in your own program.  Do have a look at it so that you will know what is available.                  *)
(***************************************************************************************************************************)

{$I ZIP.INC }

(* Initialization function *)
  procedure ZipInit(YourName, Password: pChar);          { required.  If you aren't a registered user, set         }
                                                         { YourName to 'TEST' and Password to ''                   }

(* Main functions *)
  function  AddFileToZip(ZipFile, Mask: pChar;           { Zip a file }
                         OverwriteMode: integer;
                         StorePath, Recurse: boolean;
                         ParentWnd: hWnd): integer;
  function  ZipDeleteFiles(ZipFile, Files: pChar;
                           ParentWnd: hWnd): integer;    { Delete files in a Zip }
  function  ZipRepare(ZipFile: pChar;
                      ParentWnd: hWnd): integer;         { Recreate the Zip file }
  function  ZipSetComment(ZipFile, Comment: pChar;
                          ParentWnd: hWnd): integer;     { Set the Zip Comment }


(* Helpers *)
  function  ZipSetLanguage(ZipLanguage: word): boolean;   { Set the Language }
  function  ZipGetReplaceFlag: integer;                   { Return the current overwrite mode }
  function  ZipSetReplaceText(DialogTitle,                { Set the replace dialog box labels, used     }
                              DialogText,                 { with the LANGUAGE_NONE mode and the         }
                              YesBtn,                     { ZN_REPLACE notification message.. ** NEW! **}
                              NoBtn,
                              AlwaysBtn,
                              NeverBtn: pChar): boolean;


implementation

  procedure ZipInit;                                      external 'ZDLL13A';
  function  AddFileToZip;                                 external 'ZDLL13A';
  function  ZipDeleteFiles;                               external 'ZDLL13A';
  function  ZipRepare;                                    external 'ZDLL13A';
  function  ZipSetComment;                                external 'ZDLL13A';
  function  ZipSetLanguage;                               external 'ZDLL13A';
  function  ZipGetReplaceFlag;                            external 'ZDLL13A';
  function  ZipSetReplaceText;                            external 'ZDLL13B';
end.